Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1125)

Unified Diff: build/android/buildbot/buildbot_functions.sh

Issue 12209034: [Android WebView] Make 3rd party licenses checker to turn bot red (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Keep the check on the FYI bot Created 7 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/android/buildbot/bb_run_bot.py ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/android/buildbot/buildbot_functions.sh
diff --git a/build/android/buildbot/buildbot_functions.sh b/build/android/buildbot/buildbot_functions.sh
index 3a4ca9a7c24316035037e0a85e515ad0c1665308..1f5e5d274aff39baf8b160c4a68a75a497055bb0 100755
--- a/build/android/buildbot/buildbot_functions.sh
+++ b/build/android/buildbot/buildbot_functions.sh
@@ -260,14 +260,20 @@ function bb_extract_build {
}
# Runs the license checker for the WebView build.
+# License checker may return error code 1 meaning that
+# there are non-fatal problems (warnings). Everything
+# above 1 is considered to be a show-stopper.
function bb_check_webview_licenses {
echo "@@@BUILD_STEP Check licenses for WebView@@@"
(
set +e
cd "${SRC_ROOT}"
python android_webview/tools/webview_licenses.py scan
- if [[ $? -ne 0 ]]; then
+ local licenses_exit_code=$?
+ if [[ $licenses_exit_code -eq 1 ]]; then
echo "@@@STEP_WARNINGS@@@"
+ elif [[ $licenses_exit_code -gt 1 ]]; then
+ echo "@@@STEP_FAILURE@@@"
fi
return 0
)
« no previous file with comments | « build/android/buildbot/bb_run_bot.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698